Welcome Guest. Please Login or Register  


You are here: Index > Softaculous Inc. > News and Announcements > Topic : AMPPS 2.1

1


Threaded Mode | Print  

 AMPPS 2.1, PHP 5.5 available for Windows and Mac OS X (38 Replies, Read 47681 times)
tidus
Group: AMPPS Team
Post Group: Super Member
Posts: 1118
Status:
Hi,

The Softaculous AMPPS Team has released AMPPS 2.1 and Softaculous AMPPS v2.4.
This version of AMPPS adds the latest versions of PHP, MySQL, MongoDB,
phpMyAdmin, etc. We have also added new features and fixed some bugs in
AMPPS.

AMPPS is a WAMP (Windows) and MAMP (Macintosh) stack of
Apache, MySQL, MongoDB, PHP, Perl & Python. AMPPS enables you to
focus more on using applications rather than maintaining them on your
desktops.

NOTE FOR WINDOWS USER: You will have to install Visual C++ Redistributable for Visual Studio 2012 for PHP 5.5
A complete list of changes:

1) The current version of AMPPS for Windows include:

Softaculous AMPPS 2.4(Softaculous 4.3.0)
Apache 2.4.6
PHP 5.5.4, PHP 5.4.20, 5.3.27 and 5.2.17
PERL 5.10.1
Python 2.7.2 with mod_wsgi 3.4 module
MySQL 5.6.14
phpMyAdmin 4.0.7
SQLite Manager 1.2.4
MongoDB 2.4.5(Only 64-bit)
RockMongo 1.1.5
FileZilla FTP Server 0.9.41

The current version of AMPPS for Mac include:

Softaculous AMPPS 2.4(Softaculous 4.3.0)
Apache 2.2.25
PHP 5.5.4, PHP 5.4.20, 5.3.27 and 5.2.17
PERL 5.14.1
Python 2.7.2 with mod_wsgi 3.4 module
MySQL 5.6.14
phpMyAdmin 4.0.7
SQLite Manager 1.2.4
MongoDB 2.4.5(Only 64-bit)
RockMongo 1.1.5
Pure-FTPd Server 1.0.35

2) PHP 5.5 is now available for Windows and Mac OS X.

3) The Softaculous Auto Installer in AMPPS uses PHP 5.3. It does not
depend on the currently active PHP. So you can choose PHP 5.5 for
development and Softaculous will adjust.

4) Clone installation : Users can now clone an installation to test updates or changes on the
cloned installation. The guide is available here.
Note : Clone is available only for a few scripts at the moment. We will
be adding it to more scripts regularly. The list is available here.

5) Added Password Strength check for Enduser while installing any scripts.
Admin can limit the minimum required strength for password.

6) Clone hooks : Added pre clone and post clone hooks. The guide is available here

7) Backup Notes : Added option to save a note for reference while backing
up an installation. These notes can be used to choose an appropriate
backup to restore. The guide is available here.

8) Updated the German language.

9) Admin URL of the installation will now be displayed on the Edit Installations page. 

10) Now the TOP scripts for the enduser panel can be controlled from Softaculous Admin panel as per the Admin preference.

11) Admin can now display his Custom Scripts in the TOP 15 list in the Softaculous Enduser panel.

12) Added check to disallow special characters in directory name while installing any script.

13) In case of scripts with multiple branches, all available versions will be displayed on the script overview page.

14) Now you can check the license information from the command line. Here is the guide.

15) Check HTTPS connection : If user selects to install a script on the
https protocol, Softaculous will display a warning to the user if a
Trusted SSL certificate is not found on the domain.

16) Detect real version : Admin can now determine the real version of
installation(s) and update Softaculous records from Softaculous Admin
panel -> Installations (The records are outdated in case the user
updates the installation manually). Here is the guide.

17) When editing an installation in Softaculous, the script version of the
installation will be detected and also prompted to the user IF it does
not match with the Softaculous records. The user will get an option to
update the version in the Softaculous records. 

18) Users can now choose to prepend a prefix for Admin Username field for their endusers on the script install form. Click here for documentation.

19) Database name limit in Enduser Panel is increased to 15.

20) Bug Fix : While installing any PERL script, the script name was not displayed on the Task List page. This is fixed now.

21) Bug Fix : Softaculous was not able to detect upgrade for installations
which contained alphabets in version number. This is fixed now.

22) Bug Fix : Added validation for Table prefix to allow only alphanumeric characters and _

23) Bug Fix : While importing installations which have customized admin
folder name (e.g. WHMCS), Softaculous was unable to determine the
customized folder name. It is now fixed.

24) Bug Fix : Cron command language string was not displayed on edit installation page. It is now fixed.

25) Bug Fix : While installing custom scripts "undefined" was displayed on Task List page. It is now fixed.

26) Bug Fix : Script installation was not allowed if the user wanted DB prefix to be empty. This is now fixed.

27) Bug Fix : On the Task List page hyperlink was displayed even for the paths. This is fixed now.

We hope you enjoy the feature(s), we will be adding many more features in the upcoming versions.

Follow us on Twitter
Like us on Facebook
Follow us on Google+

Regards,
The Softaculous AMPPS Team


Edited by tidus : September 30, 2013, 12:37 pm

-----------------------
Follow AMPPS on,
Twitter : https://twitter.com/AMPPS_Stack
Facebook :  http://www.facebook.com/softaculousampps
Google+ : https://plus.google.com/+AmppsStack
IP: --   

AMPPS 2.1 ... Softaculous on PHP 5.3 only
--marc
Group: Member
Post Group: Newbie
Posts: 9
Status:
Quote
"3) Now Softaculous will work on PHP 5.3 only."
To confirm, is the "now" situation that AMPPS must run with PHP version 5.3 selected for the Softaculous auto installer to work (even though AMPPS ships with PHP 5.2, 5.3, 5.4 and 5.5)?

What the situation on the release before "now" as to which PHP version setting(s) would work for Softaculous?

If changing the PHP version setting can "break" Softaculous, it would be helpful for the AMPPS Control Center > "Change PHP Version" to notify the user which version of PHP are compatible with Softaculous.  For example, add a text label or change the radio buttons text to inform that ' PHP 5.3 (Softaculous compatible) ' .

Thanks.
IP: --   

AMPPS 2.1
tidus
Group: AMPPS Team
Post Group: Super Member
Posts: 1118
Status:
Quote From : --marc September 26, 2013, 4:51 pm
Quote
"3) Now Softaculous will work on PHP 5.3 only."
To confirm, is the "now" situation that AMPPS must run with PHP version 5.3 selected for the Softaculous auto installer to work (even though AMPPS ships with PHP 5.2, 5.3, 5.4 and 5.5)?

What the situation on the release before "now" as to which PHP version setting(s) would work for Softaculous?

If changing the PHP version setting can "break" Softaculous, it would be helpful for the AMPPS Control Center > "Change PHP Version" to notify the user which version of PHP are compatible with Softaculous.  For example, add a text label or change the radio buttons text to inform that ' PHP 5.3 (Softaculous compatible) ' .

Thanks.

Hi,

Extremely sorry for the confusion. I have corrected it. You are free to switch to any Php version. Softaculous will always work. :)

-----------------------
Follow AMPPS on,
Twitter : https://twitter.com/AMPPS_Stack
Facebook :  http://www.facebook.com/softaculousampps
Google+ : https://plus.google.com/+AmppsStack
IP: --   

AMPPS 2.1
Pixelate
Group: Member
Post Group: Newbie
Posts: 24
Status:
I'm running ampps on my Macbook pro. I was asked to updated to 2.1, which I did today and now it won't work anymore.
Control panel issues:
- The Apache start button can be clicked but then it doesn't change state. Apache doesn't show as started and 'http://localhost/ampps' etc. don't work.
- The mySQL does work.

So I thought there were wouldn't be issues with updating, so now I'm not sure how to fix it or to retrieve my SQL files, because I can't access phpMyAdmin now

I was thinking of simply installing 2.1 and moving the www folders to the new install, but not sure how to get the Databases ??
IP: --   

AMPPS 2.1
tidus
Group: AMPPS Team
Post Group: Super Member
Posts: 1118
Status:
Quote From : Pixelate September 26, 2013, 7:22 pm
I'm running ampps on my Macbook pro. I was asked to updated to 2.1, which I did today and now it won't work anymore.
Control panel issues:
- The Apache start button can be clicked but then it doesn't change state. Apache doesn't show as started and 'http://localhost/ampps' etc. don't work.
- The mySQL does work.

So I thought there were wouldn't be issues with updating, so now I'm not sure how to fix it or to retrieve my SQL files, because I can't access phpMyAdmin now

I was thinking of simply installing 2.1 and moving the www folders to the new install, but not sure how to get the Databases ??
Hi,

Run the following command in Terminal and let us know the output
/Applications/AMPPS/apache/bin/httpd


-----------------------
Follow AMPPS on,
Twitter : https://twitter.com/AMPPS_Stack
Facebook :  http://www.facebook.com/softaculousampps
Google+ : https://plus.google.com/+AmppsStack
IP: --   

AMPPS 2.1
Pixelate
Group: Member
Post Group: Newbie
Posts: 24
Status:
[Thu Sep 26 12:33:53 2013] [warn] NameVirtualHost 127.0.0.1:443 has no VirtualHosts
(13)Permission denied: make_sock: could not bind to address [::]:80
(13)Permission denied: make_sock: could not bind to address 0.0.0.0:80
no listening sockets available, shutting down
Unable to open logs
IP: --   

AMPPS 2.1
tidus
Group: AMPPS Team
Post Group: Super Member
Posts: 1118
Status:
Quote From : Pixelate September 26, 2013, 7:34 pm
[Thu Sep 26 12:33:53 2013] [warn] NameVirtualHost 127.0.0.1:443 has no VirtualHosts
(13)Permission denied: make_sock: could not bind to address [::]:80
(13)Permission denied: make_sock: could not bind to address 0.0.0.0:80
no listening sockets available, shutting down
Unable to open logs
Port 80 is in use. See if any app is using port 80.

Please run the following command and let us know the output.

lsof -i :80


Edited by tidus : September 26, 2013, 7:52 pm

-----------------------
Follow AMPPS on,
Twitter : https://twitter.com/AMPPS_Stack
Facebook :  http://www.facebook.com/softaculousampps
Google+ : https://plus.google.com/+AmppsStack
IP: --   

AMPPS 2.1
Pixelate
Group: Member
Post Group: Newbie
Posts: 24
Status:
When I input lsof -i :08 no response.
IP: --   

AMPPS 2.1
tidus
Group: AMPPS Team
Post Group: Super Member
Posts: 1118
Status:
Quote From : Pixelate September 26, 2013, 7:46 pm
When I input lsof -i :08 no response.
Sorry "lsof -i :80"

-----------------------
Follow AMPPS on,
Twitter : https://twitter.com/AMPPS_Stack
Facebook :  http://www.facebook.com/softaculousampps
Google+ : https://plus.google.com/+AmppsStack
IP: --   

AMPPS 2.1
Pixelate
Group: Member
Post Group: Newbie
Posts: 24
Status:
I was using MAMPs and it was using port 80, but I stopped.
There was no conflict until today.

I just opened up MAMP and it started both Apache / mysql.
I just used Network Utility and typed in "localhost". When I had MAMP open, it showed port 80 httpd but when I close it and tried AMPPS it showed:
Port Scanning host: 127.0.0.1

    Open TCP Port:    88            kerberos
    Open TCP Port:    548            afpovertcp
    Open TCP Port:    631            ipp
    Open TCP Port:    3306          mysql
IP: --   

AMPPS 2.1
Pixelate
Group: Member
Post Group: Newbie
Posts: 24
Status:
COMMAND  PID    USER  FD  TYPE            DEVICE SIZE/OFF NODE NAME
Google    234 myname  111u  IPv4 0xffffff8025445de0      0t0  TCP XXX.XXX.X.65:60712->arn06s01-in-f15.1e100.net:http (ESTABLISHED)

( Used X in a few places for security )
IP: --   

AMPPS 2.1
tidus
Group: AMPPS Team
Post Group: Super Member
Posts: 1118
Status:
Quote From : Pixelate September 26, 2013, 8:00 pm
COMMAND  PID    USER  FD  TYPE            DEVICE SIZE/OFF NODE NAME
Google    234 myname  111u  IPv4 0xffffff8025445de0      0t0  TCP XXX.XXX.X.65:60712->arn06s01-in-f15.1e100.net:http (ESTABLISHED)

( Used X in a few places for security )
This is the application using port 80. Close it to make Ampps Apache work.

You can use kill <pid> OR killall <app-name> to kill the process


-----------------------
Follow AMPPS on,
Twitter : https://twitter.com/AMPPS_Stack
Facebook :  http://www.facebook.com/softaculousampps
Google+ : https://plus.google.com/+AmppsStack
IP: --   

AMPPS 2.1
Pixelate
Group: Member
Post Group: Newbie
Posts: 24
Status:
Well that's confusing. That seems to indicate I should close Google or Firefox, but why would they be using port 80?
IP: --   

AMPPS 2.1
tidus
Group: AMPPS Team
Post Group: Super Member
Posts: 1118
Status:
Quote From : Pixelate September 26, 2013, 8:08 pm
Well that's confusing. That seems to indicate I should close Google or Firefox, but why would they be using port 80?
Ok.

Try this. "killall httpd" and then try starting apache from ampps.

Also in network utility can you search for port 80 specifically.


Edited by tidus : September 26, 2013, 8:11 pm

-----------------------
Follow AMPPS on,
Twitter : https://twitter.com/AMPPS_Stack
Facebook :  http://www.facebook.com/softaculousampps
Google+ : https://plus.google.com/+AmppsStack
IP: --   

AMPPS 2.1
Pixelate
Group: Member
Post Group: Newbie
Posts: 24
Status:
Using killall httpd says "No matching processes belonging to you were found"

But as I said the main issue is that the "start" button for Apache isn't working properly. I click on it and then a pop up window shows and I input my password, but then it does change state. It doesn't show Apache starts and the Start button is still inactive so I can't press the Stop button.
IP: --   

« Previous    Next »

Threaded Mode | Print  

1


Jump To :


Users viewing this topic
1 guests, 0 users.


All times are GMT. The time now is September 17, 2014, 11:41 pm.

  Powered By AEF 1.0.8 © 2007-2008 Electron Inc.Queries: 10  |  Page Created In:1.517